﻿/*
 * Jumbula JbForm Style on Student Area
 * Copyright © 2015 - Authors: Saeed Seyfi (saeedseyfi.com) and SaJad Jafari (sajadjafari.com) at Jumbula
 */
/* ==============================================Tuitions================================================ */
.btn-primary {
    background-color: transparent !important;
    color: #00a651 !important;
    text-shadow: none !important;
    padding-top: 3px !important;
    padding-bottom: 3px !important;
    border: 1px solid !important;
}

    .btn-primary:hover {
        background-color: transparent !important;
        color: #00a651 !important;
        text-shadow: none !important;
        padding-top: 3px !important;
        padding-bottom: 3px !important;
        border: 1px solid !important;
        box-shadow: none !important;
    }

.radio-custom {
    opacity: 0;
    position: absolute;
}

.radio-custom, .radio-custom-label {
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
    padding: 15px;
    width: 100%;
}

.radio-custom-label {
    position: relative;
}

#msg-hide-1 {
    display: none;
}

#msg-hide-2, #msg-hide-3, #msg-hide-4, #msg-hide-5, #msg-hide-6 {
    display: none;
    padding-left: 65px !important;
    padding-bottom: 20px;
    color: #00a651;
}

.radio-custom + .radio-custom-label:before {
    content: '';
    background: #fff;
    border: 2px solid #ddd;
    display: inline-block;
    vertical-align: middle;
    width: 20px;
    height: 20px;
    padding: 2px;
    margin-right: 10px;
    text-align: center;
}

.radio-custom + .radio-custom-label:before {
    border-radius: 50%;
}

.radio-custom:checked + .radio-custom-label:before {
    background: #00a651;
    border-color: #00a651;
    box-shadow: inset 0px 0px 0px 4px #fff;
    color: #ccc;
}

.radio-custom:focus + .radio-custom-label {
    outline: 1px solid #ddd;
}

.panel-info > .panel-heading {
    color: #00A654;
    background-color: #00a651;
    border-color: #00a651;
}

.panel-title-2 {
    color: #fefefe !important;
    text-align: left;
    font-size: 16px !important;
    font-weight: 500 !important;
}

.panel-info {
    border-color: #bbb;
}
/*.form-radio {
    margin-bottom: -6px;
}*/
.panel {
    margin-bottom: 21px;
    background-color: #ffffff;
    border: 1px solid #ccc;
    padding: 0px !important;
}

/* New Coding For Radio Button */

#shappingHeader {
    width: 100%;
    padding: 15px 0;
    float: left;
}

    #shappingHeader > span {
        float: left;
        font-size: 30px;
        color: #323a45;
        margin-top: 10px;
        font-family: "raleway";
        font-weight: 200;
    }


#cartSection .order-item-schedule {
    position: relative;
    padding: 0 10px;
}

.program-player-name.actions .btn {
    padding-top: 3px;
    padding-bottom: 3px;
    border: 1px solid;
    margin-left: 10px;
}

    .program-player-name.actions .btn:before {
        position: relative;
        top: 1px;
        margin-right: 2px;
    }

    .program-player-name.actions .btn.btn-link {
        color: #586C7C;
    }

    .program-player-name.actions .btn.btn-success {
        background-color: transparent;
        color: #00a651;
        text-shadow: none;
    }

    .program-player-name.actions .btn.btn-danger {
        background-color: transparent;
        color: #ec1515;
        text-shadow: none;
    }

.order-item-schedule .schedule {
    display: table;
    width: 100%;
}

.schedule-background {
    background-color: #1D232A;
}

.program-capacity-full {
    color: #EA1313;
}

.schedule-background-red {
    background-color: #EA1313;
}

.schedule-background-yellow {
    background-color: #F0E607;
}

.schedule-body {
    display: table-cell;
    vertical-align: middle;
    border-bottom: 1px solid #ddd;
}

.season-name {
    display: table-cell;
    width: 30px;
    min-width: 30px;
    vertical-align: middle;
    position: relative;
    border-bottom: 1px solid #ddd;
}

    .season-name .title {
        -webkit-transform: rotate(-90deg) translate(-50%);
        -moz-transform: rotate(-90deg) translate(-50%);
        -ms-transform: rotate(-90deg) translate(-50%);
        -o-transform: rotate(-90deg) translate(-50%);
        transform: rotate(-90deg) translate(-50%);
        -webkit-transform-origin: 0 0;
        -moz-transform-origin: 0 0;
        -ms-transform-origin: 0 0;
        -o-transform-origin: 0 0;
        transform-origin: 0 0;
        display: block;
        height: 30px;
        line-height: 30px;
        white-space: nowrap;
        color: #fff;
        position: absolute;
        top: 50%;
    }

.program-player-name {
    display: table-cell;
    background-color: #fff;
    padding: 10px 10px;
    border-bottom: 1px solid #eee;
    border-top: 1px solid #eee;
}

    .program-player-name .title, .cart-coupon .coupon .coupon-code {
        font-family: "raleway";
        max-width: 75%;
        float: left;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        font-size: 18px;
        margin: 0;
        line-height: 26px;
        font-weight: 400;
    }

.tuition-box .date {
    display: inline-block;
    padding-top: 5px;
}

.tuitions-section {
    background-color: #fff;
    display: table-cell;
}

    .tuitions-section .tuitions {
        background-color: #fff;
        display: table-cell;
        vertical-align: middle;
    }

.tuition-box {
    display: table-cell;
    vertical-align: middle;
    padding: 15px;
}

    .tuition-box .tuition-name {
        width: 100%;
        font-family: "raleway";
        font-weight: 400;
        font-size: 17px;
        display: block;
    }

    .tuition-box .charge {
        padding: 5px 0;
    }

        .tuition-box .charge .charge-name {
            width: 100%;
            padding-left: 10px;
        }

    .tuition-box .discount {
        width: 100%;
        color: #00a651;
        padding: 5px 10px 0;
    }

.tuition-price {
    width: 200px;
    background-color: #fff;
    padding: 0 20px;
    display: table-cell;
    vertical-align: middle;
    font-size: 28px;
    font-weight: 200;
    text-align: right;
    font-family: "raleway";
    line-height: 100px;
}

.order-item-schedule {
    display: block;
    position: relative;
    width: 100%;
}

.schedule-body-inner {
    display: table;
    width: 100%;
}

    .schedule-body-inner > div {
        display: table-row;
    }

.tuitions-section-inner {
    display: table;
    width: 100%;
}

    .tuitions-section-inner > div {
        display: table-row;
    }

.cart-coupon {
    margin-top: 15px;
}

.coupon-caption {
    background-color: #00A651;
}

.cart-coupon .coupon {
    background-color: #fff;
    padding: 20px 10px;
    margin-left: 35px;
}

    .cart-coupon .coupon .coupon-code {
        float: left;
    }

    .cart-coupon .coupon .coupon-price {
        float: right;
        font-size: 28px;
        font-family: "raleway";
        font-weight: 200;
    }

.coupon .coupon-price .delete-buttom {
    width: 25px;
    height: 25px;
    background-color: #f05457;
    float: right;
}

#cart-total {
    margin-top: 15px;
}

    #cart-total .total {
        background-color: #0aafaf;
        padding: 15px 30px;
    }

.total p.total-title {
    float: left;
    margin: 0;
    color: #fff;
    font-family: "raleway";
    font-weight: 300;
    font-size: 24px;
}

#cart-total .total span.total-price {
    float: right;
    color: #fff;
    font-family: "raleway";
    font-weight: 300;
    font-size: 26px;
}

.pay-button {
    fill: #00a651;
    stroke: purple;
    stroke-width: 1;
}


/*
    CART FOOTER
*/
#cart-footer {
    margin-bottom: 30px;
    overflow: hidden;
    position: relative;
    /*height: 257px;*/
}

    /*cart buttons styles*/
    #cart-footer .pay-cart {
        float: right;
        overflow: hidden !important;
        position: relative;
    }

        #cart-footer .pay-cart .pay-cart-btn {
            /*position: absolute;*/
            text-align: center;
            /*height: 100%;
            width: 100%;*/
            display: block;
        }

            #cart-footer .pay-cart .pay-cart-btn:hover {
                -webkit-transition: all .3s;
                -moz-transition: all .3s;
                -ms-transition: all .3s;
                -o-transition: all .3s;
                transition: all .3s;
            }

            #cart-footer .pay-cart .pay-cart-btn > span {
                color: #fff;
                /*-webkit-transform: skewX(-30deg);
                -moz-transform: skewX(-30deg);
                -ms-transform: skewX(-30deg);
                -o-transform: skewX(-30deg);
                transform: skewX(-30deg);*/
                font-family: "raleway";
                font-weight: 200;
                display: inline-block;
                white-space: nowrap;
            }

/*PANEL BUTTONS*/
.panel-btn {
    padding: 0 !important;
    float: left;
    left: 30% !important;
    margin-top: 10px;
}

/* PAY BUTTON #1 */
#cart-footer .pay-cart:nth-child(1) {
    width: 100%;
    height: 40px;
    z-index: 1;
    margin-bottom: 5px;
}


    #cart-footer .pay-cart:nth-child(1) .pay-cart-btn {
        background-color: #00a651;
        /*-webkit-transform: skewX(30deg);
                -moz-transform: skewX(30deg);
                -ms-transform: skewX(30deg);
                -o-transform: skewX(30deg);
                transform: skewX(30deg);*/
    }

        #cart-footer .pay-cart:nth-child(1) .pay-cart-btn:hover {
            background-color: #006F36;
        }

        #cart-footer .pay-cart:nth-child(1) .pay-cart-btn > span {
            font-size: 18px;
            padding: 10px 0;
        }

/* PAY BUTTON #2 */
#cart-footer .pay-cart:nth-child(2) {
    width: 100% !important;
    height: 40px;
    /*-webkit-transform: skewX(30deg);
            -moz-transform: skewX(30deg);
            -ms-transform: skewX(30deg);
            -o-transform: skewX(30deg);
            transform: skewX(30deg);*/
    margin-bottom: 5px;
    z-index: 3;
}

    #cart-footer .pay-cart:nth-child(2) .pay-cart-btn {
        background-color: #008E45;
    }

        #cart-footer .pay-cart:nth-child(2) .pay-cart-btn:hover {
            background-color: #117140;
        }

        #cart-footer .pay-cart:nth-child(2) .pay-cart-btn > span {
            font-size: 18px;
            padding: 10px 0;
        }

/* PAY BUTTON #3 */
#cart-footer .pay-cart:nth-child(3) {
    width: 100% !important;
    height: 40px;
    /*-webkit-transform: skewX(30deg);
            -moz-transform: skewX(30deg);
            -ms-transform: skewX(30deg);
            -o-transform: skewX(30deg);
            transform: skewX(30deg);*/
    z-index: 2;
    margin-bottom: 5px;
}

    #cart-footer .pay-cart:nth-child(3) .pay-cart-btn {
        background-color: #007D3E;
    }

        #cart-footer .pay-cart:nth-child(3) .pay-cart-btn:hover {
            background-color: #019A4C;
        }

        #cart-footer .pay-cart:nth-child(3) .pay-cart-btn > span {
            font-size: 20px;
            padding: 10px 0;
        }

/* PAY BUTTON #4 */
#cart-footer .pay-cart:nth-child(4) {
    width: 100% !important;
    height: 40px;
    /*-webkit-transform: skewX(30deg);
            -moz-transform: skewX(30deg);
            -ms-transform: skewX(30deg);
            -o-transform: skewX(30deg);
            transform: skewX(30deg);*/
    z-index: 1;
    margin-bottom: 5px;
}

    #cart-footer .pay-cart:nth-child(4) .pay-cart-btn {
        background-color: #006F36;
    }

        #cart-footer .pay-cart:nth-child(4) .pay-cart-btn:hover {
            background-color: #009C4C;
        }

        #cart-footer .pay-cart:nth-child(4) .pay-cart-btn > span {
            font-size: 20px;
            padding: 10px 0;
        }
/* PAY BUTTON #5 */
#cart-footer .pay-cart:nth-child(5) {
    width: 100% !important;
    height: 40px;
    /*-webkit-transform: skewX(30deg);
            -moz-transform: skewX(30deg);
            -ms-transform: skewX(30deg);
            -o-transform: skewX(30deg);
            transform: skewX(30deg);*/
    z-index: 2;
}

    #cart-footer .pay-cart:nth-child(5) .pay-cart-btn {
        background-color: #006532;
    }

        #cart-footer .pay-cart:nth-child(5) .pay-cart-btn:hover {
            background-color: #019A4C;
        }

        #cart-footer .pay-cart:nth-child(5) .pay-cart-btn > span {
            font-size: 16px;
            padding: 10px 0;
        }

#cart-footer .larg-pay-btn {
    width: 250px !important;
}

    #cart-footer .larg-pay-btn .pay-cart-btn {
    }

        #cart-footer .larg-pay-btn .pay-cart-btn > span {
            font-size: 18px !important;
        }

#cart-footer .coupon-code-row {
    margin-top: 10px;
    width: 28%;
    position: absolute;
}

    #cart-footer .coupon-code-row .text-info {
        color: #0aafaf;
        font-size: 16px;
        margin-top: 10px;
        text-shadow: 0 0 5px #ffffff;
    }

#cart-footer .form-control.footer-form {
    width: 50% !important;
    float: left;
    border-color: #00a651;
}

#cart-footer .input-group.footer-input {
    display: block !important;
    /*padding-top: 20px;*/
}

#cart-footer .input-group-coupon-btn {
    -moz-min-width: 70px;
    -ms-min-width: 70px;
    -o-min-width: 70px;
    -webkit-min-width: 70px;
    min-width: 70px;
    padding: 0 20px;
    height: 35px;
    background-color: #00a651;
    border: 1px solid #00a651;
    -webkit-transform: skewX(-30deg);
    -moz-transform: skewX(-30deg);
    -ms-transform: skewX(-30deg);
    -o-transform: skewX(-30deg);
    transform: skewX(-30deg);
    margin-left: -10px;
    border-radius: 0 0 10px;
}

    #cart-footer .input-group-coupon-btn:hover {
        background-color: #058041;
    }

    #cart-footer .input-group-coupon-btn > span {
        -webkit-transform: skewX(30deg);
        -moz-transform: skewX(30deg);
        -ms-transform: skewX(30deg);
        -o-transform: skewX(30deg);
        transform: skewX(30deg);
        color: #fff;
        padding: 5px;
        font-size: 16px;
        font-family: "raleway";
        font-weight: 200;
        display: inline-block;
    }

#cart-footer .input-group-coupon-btn,
#cart-footer a.cash-check-cart-btn,
#cart-footer .pay-cart > a {
    outline: none !important;
}

.edit-delete .edit-buttom a:before {
    position: relative;
    top: 1px;
}

#paymentPlan {
    margin-top: 15px;
    margin-bottom: 0;
}

    #paymentPlan dl {
        margin-bottom: 0;
        color: #586c7c;
    }

.pay-by-credit-container {
    margin-top: 15px;
    padding: 0 15px;
    background-color: white;
}



/* * * * * * * * * Donation styles * * * * * * * */
.box-panel-donation {
    margin-top: 15px;
    border-color: #919191;
}

    .box-panel-donation.panel-warning > .panel-heading {
        background-color: #e2e2e2;
        border-color: #919191;
        color: #000;
    }

    .box-panel-donation .form-control.input-group-textbox {
        width: 300px !important;
        float: left;
        border-color: #00a651;
    }


.input-group-btn {
    -moz-min-width: 70px;
    -ms-min-width: 70px;
    -o-min-width: 70px;
    -webkit-min-width: 70px;
    min-width: 140px;
    padding: 0 20px;
    height: 35px;
    background-color: #00a651;
    border: 1px solid #00a651;
    -webkit-transform: skewX(-30deg);
    -moz-transform: skewX(-30deg);
    -ms-transform: skewX(-30deg);
    -o-transform: skewX(-30deg);
    transform: skewX(-30deg);
    margin-left: -10px;
    border-radius: 0 0 10px;
}

    .input-group-btn:hover {
        background-color: #058041;
    }

    .input-group-btn > span {
        -webkit-transform: skewX(30deg);
        -moz-transform: skewX(30deg);
        -ms-transform: skewX(30deg);
        -o-transform: skewX(30deg);
        transform: skewX(30deg);
        color: #fff;
        line-height: 35px;
        font-size: 16px;
        font-family: "raleway";
        font-weight: 200;
        display: inline-block;
    }

.input-group-btn,
.box-panel-donation a.cash-check-cart-btn,
.box-panel-donation.pay-cart > a {
    outline: none !important;
}

@media (max-width: 1300px) and (min-width: 775px) {


    #cart-footer .coupon-code-row {
        width: 50%;
        display: block;
        margin-top: 50px;
    }

    #cart-footer .form-control.footer-form {
        width: 50% !important;
        float: left;
        border-color: #00a651;
    }
}

@media (max-width: 992px) and (min-width: 600px) {
    .panel-btn {
        left: 0 !important;
    }

    #cart-footer .form-control.footer-form {
        width: 76% !important;
    }
}


@media (max-width: 599px) and (min-width: 300px) {
    .panel-btn {
        left: 0 !important;
    }

    #cart-footer .form-control.footer-form {
        width: 68% !important;
    }
}

@media (max-width: 450px) {
    #cart-footer .form-control.footer-form {
        width: 57% !important;
    }

    .box-panel-donation .input-group {
        display: block;
    }

    .box-panel-donation button.input-group-btn {
        border-radius: 0 !important;
        width: 100% !important;
        transform: initial !important;
        margin: 0;
        float: none !important;
        display: block !important;
        position: static !important;
    }

    .box-panel-donation .form-control.input-group-textbox {
        float: none;
        width: 100% !important;
    }

    .box-panel-donation button.input-group-btn span {
        transform: initial;
    }

    .panel-btn {
        left: 0 !important;
    }

    #cart-footer .pay-cart span {
        font-size: 15px !important;
        text-align: center !important;
    }

    #cart-footer .larg-pay-btn .pay-cart-btn > span {
        font-size: 15px !important;
        text-align: center !important;
    }
}

#cart-footer .coupon-code-row {
    width: 60%;
    top: 0px;
}


.container-btns {
    overflow: hidden;
    padding: 10px 0px;
    float: right !important;
    right: -7.5%;
}

.panel-btns .panel-body, .panel {
    padding: 5px;
}

.panel-btns {
    float: left;
    left: -4.5%;
    margin-top: 23%;
    width: 35.6%;
}

    .panel-btns ul {
        list-style: none;
        padding: 0px;
        margin: 0;
    }

        .panel-btns ul li {
            margin-bottom: 5px;
        }

            .panel-btns ul li a {
                background-color: #f68b0f;
                display: block;
                color: #fff;
                font-family: "raleway";
                font-weight: 300;
                padding: 15px 15px;
                font-size: 18px;
                text-align: center;
                -webkit-transition-duration: .5s; /* Safari */
                -moz-transition-duration: .5s; /* Safari */
                -ms-transition-duration: .5s; /* Safari */
                transition-duration: .5s;
            }

.submit-btn {
    background-color: #f68b0f;
    display: block;
    border: none;
    color: #fff !important;
    font-family: "raleway";
    font-weight: 300;
    padding: 15px 15px;
    font-size: 18px;
    text-align: center;
    width: 100%;
    -webkit-transition-duration: .5s; /* Safari */
    -moz-transition-duration: .5s; /* Safari */
    -ms-transition-duration: .5s; /* Safari */
    transition-duration: .5s;
}



    .submit-btn[disabled]:hover {
        background-color: #f68b0f;
    }

    .submit-btn:hover {
        background-color: #E78316;
        color: #fff;
    }

    .submit-btn[disabled=disabled], submit-btn[disabled=disabled]:hover {
        /*pointer-events: none;*/
        background-color: #d7d7d7 !important;
        cursor: not-allowed;
        color: #fff;
    }

.panel-btns ul li:last-child {
    margin-bottom: 0px;
}

.panel-btns .li-img {
}

.panel-btn img {
    width: 80px;
    padding-left: 5px;
    text-align: center;
    padding: 5px 0;
}

.test-mode-style {
    overflow: hidden;
    background-image: url('../../../Images/cart/test-mode.png');
    background-repeat: space;
}
/*card page*/
.field-validation-error {
    color: red;
}

.error-div {
    padding: 10px 0% !important;
    text-align: left;
}

.radio-custom, .radio-custom-label {
    border-bottom: 0px solid #ccc !important;
}

    .radio-custom:focus + .radio-custom-label {
        outline: 0px solid #ddd !important;
    }

.dl-horizontal dt {
    text-align: left !important;
}

dt {
    font-weight: normal !important;
}

.panel-title {
    font-size: 18px !important;
}

.box-select-date .select-date {
    width: 51px;
    display: inline-block;
    text-align: left;
    padding: 1px;
    margin-right: 4px;
}
